Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 8222

Summary: Can't Make A FAT32 Partition With My Extra Disk Space With FDISK After I Instal Linux 6.01
Product: [Retired] Red Hat Linux Reporter: Nhan Nguyen <roces978>
Component: installerAssignee: Jay Turner <jturner>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1CC: srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-10 02:44:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nhan Nguyen 2000-01-06 02:54:27 UTC
Before I installed Linux Red Hat 6.1 on my computer I had 2 Partitions
both were FAT32 and one was 5.8gb and the other was 11.2gb.  Then when I
install Linux it said I need to make separate partitions for it so  I had
to delete the 11.2gb one.  After I deleted it I made a 3gb partition for
Linux and a 32mb swap partition for Linux.  I know I still have about 8gb
left on my hardrive and I want to make that a partition for Windows but I
can't seem to do it.  I've tried FDISK and it says this.
    Fixed Disk Drive Status
Disk   Drv   Mbytes   Free   Usage
  1          17406            100%
        C:    5962
                24
                39
              2008

As you can see 5962+24+39+2008 does not add up to 17406.  I want to make a
Fat32 parititon with the extra space that I have left and I can't seem to
do it.

Comment 1 Cristian Gafton 2000-01-27 08:26:59 UTC
assigned to installer

Comment 2 Jay Turner 2000-02-10 02:44:59 UTC
My guess is that you have assigned the 4 primary partitions that you are allowed
to have on an Intel machine.  Look at the output of "fdisk -l /dev/hda"
(assumming that this is the master drive on the primary IDE chain, otherwise
substitute the appropriate device name)

If you see that partitions 1-4 are all "real" partitions, that is none of them
are of type "extended", then this is your problem.  You need to create an
extended partition from one of the partition already there.  This will allow you
to create a multitude of other partitions within the extended partition.

Reopen this bug if you continue to have problems after checking the existing
partition table.

Comment 3 Nhan Nguyen 2000-02-12 22:58:59 UTC
Would the extended partition take up space on the hardrive and how might I got
about doing this.